www/ap-auth-kerb - The NetBSD Packages Collection

Module to allow Apache authentication using Kerberos

An Apache module designed to provide Kerberos authentication to the
Apache web server. Using the Basic Auth mechanism, it retrieves a
username/password pair from the browser and checks them against a
Kerberos server as set up by your particular organization. The module
also supports the Negotiate authentication method, which performs full
Kerberos authentication based on ticket exchanges, and does not require
users to insert their passwords to the browser.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake lang/perl5

Runtime dependencies

www/apache24 www/apache24

Available binary packages

aarch64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
aarch64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
aarch64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
alpha:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
alpha:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
i386:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
i386:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
i386:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
i386:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
i386:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
i386:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
mips64eb:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
powerpc:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
powerpc:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
powerpc:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
powerpc:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
powerpc:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
sparc64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
sparc64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
sparc:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 8.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)
x86_64:ap24-auth-kerb-5.4.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]